@charset "utf-8";

/* Loading */
#splash {
  position: fixed;
  width: 100%;
  height: 100%;
  z-index: 99999;
  background: #c4bd93;
  text-align: center;
  color: #fff;
}

#splash_logo {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/* Loading Logo */
#splash_logo svg {
  width: 180px;
}

#mask path {
  fill-opacity: 0;
  transition: fill-opacity .5s;
  fill: none;
  stroke: #fff;
}

#mask.done path {
  fill: #fff;
  fill-opacity: 1;
  stroke: none;
}

.splashbg1,
.splashbg2 {
  display: none;
}

body.appear .splashbg1,
body.appear .splashbg2 {
  display: block;
}

/* Right */
body.appear .splashbg1 {
  animation-name: PageAnime;
  animation-duration: 1.2s;
  animation-timing-function: ease-in-out;
  animation-fill-mode: forwards;
  content: "";
  position: fixed;
  z-index: 99999;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 50%;
  transform: scaleX(1);
  background-color: #c4bd93;
}

@keyframes PageAnime {
  0% {
    transform-origin: left;
    transform: scaleX(1);
  }
  50% {
    transform-origin: right;
  }
  100% {
    transform-origin: right;
    transform: scaleX(0);
  }
}

/* Left */
body.appear .splashbg2 {
  animation-name: PageAnime2;
  animation-duration: 1.2s;
  animation-timing-function: ease-in-out;
  animation-fill-mode: forwards;
  content: "";
  position: fixed;
  z-index: 99999;
  width: 100%;
  height: 100vh;
  top: 0;
  right: 50%;
  transform: scaleX(1);
  background-color: #c4bd93;
}

@keyframes PageAnime2 {
  0% {
    transform-origin: right;
    transform: scaleX(1);
  }

  50% {
    transform-origin: left;
  }
  100% {
    transform-origin: left;
    transform: scaleX(0);
  }
}

#container {
  opacity: 0;
}

body.appear #container {
  animation-name: PageAnimeAppear;
  animation-duration: 1s;
  animation-delay: 0.2s;
  animation-fill-mode: forwards;
  opacity: 0;
  overflow-y: hidden;
}

@keyframes PageAnimeAppear {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

/* Dropdown */
nav ul {
  list-style: none;
  display: flex;
  justify-content: center;
}

nav ul ul {
  display: block;
}

nav ul li {
  position: relative;
}

/* Nav link */
nav ul li a {
  display: block;
  text-decoration: none;
  padding: 20px 35px;
  transition: all .3s;
  font-size: 0.85rem;
}

nav ul li li a {
  padding: 10px 35px;
}

nav ul li a:hover {
  color: #fff;
}

/* Arrow */
nav ul li.has-child::before {
  content: '';
  position: absolute;
  left: 18px;
  top: 28px;
  width: 8px;
  height: 8px;
  border-top: 2px solid rgb(254 252 250 / 0.5);
  border-right: 2px solid rgb(254 252 250 / 0.5);
  transform: rotate(135deg);
}

nav li.has-child ul {
  position: absolute;
  left: -20px;
  top: 62px;
  z-index: 4;
  background: rgb(132 131 114 / 60%);
  width: 210px;
  visibility: hidden;
  opacity: 0;
  transition: all .3s;
}

nav li.has-child:hover>ul,
nav li.has-child ul li:hover>ul,
nav li.has-child:active>ul,
nav li.has-child ul li:active>ul {
  visibility: visible;
  opacity: 1;
}

nav li.has-child ul li a {
  color: #fff;
  border-bottom: solid 1px rgb(255 255 255 / 0.2);
}

nav li.has-child ul li:last-child a {
  border-bottom: none;
}

nav li.has-child ul li a:hover,
nav li.has-child ul li a:active {
  background: rgb(196 189 147 / 60%);
  color: #fff;
}

nav {
  padding: 0;
}

nav ul {
  display: block;
}

nav ul li a {
  border-bottom: solid 1px rgb(255 255 255 / 0.2);
}

nav ul li.has-child::before {
  left: 70px;
  top: 20px;
}

nav ul ul li.has-child::before {
  transform: rotate(135deg);
  left: 20px;
  top: 20px;
}

nav ul li.has-child.active::before {
  transform: rotate(-45deg);
}

/* Nav */
#g-nav {
  position: fixed;
  z-index: -1;
  opacity: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: rgb(147 146 127 / 98%);
  transition: all .3s;
}

#g-nav.panelactive {
  opacity: 1;
  z-index: 999;
}

#g-nav.panelactive #g-nav-list {
  position: fixed;
  z-index: 999;
  width: 100%;
  height: 100vh;
  overflow: auto;
  -webkit-overflow-scrolling: touch;
}

#g-nav ul {
  width: 90%;
  margin: 100px auto 0 auto;
}

#g-nav ul ul {
  width: 100%;
  margin: 0;
}

#g-nav ul li.has-child ul {
  position: relative;
  left: 0;
  top: 0;
  width: 100%;
  visibility: visible;
  opacity: 1;
  display: none;
  transition: none;
  transform: none;
}

#g-nav li {
  list-style: none;
  text-align: center;
}

#g-nav li a {
  color: #fff;
  text-decoration: none;
  padding: 10px;
  display: block;
  letter-spacing: 0.02em;
  font-family: "Cormorant Infant", "Noto Serif JP", serif;
  font-weight: 300;
  font-size: 1rem;
}

#g-nav li span {
  font-weight: normal;
  font-size: 0.85rem;
  letter-spacing: 0em;
}


.g-nav-openbtn {
  display: block;
  position: fixed;
  z-index: 9999;
  top: 10px;
  right: 10px;
  cursor: pointer;
  width: 48px;
  height: 48px;
}

.g-nav-openbtn .openbtn-area {
  transition: all .3s;
}

.g-nav-openbtn span {
  display: inline-block;
  transition: all .3s;
  position: absolute;
  left: 12px;
  height: 2px;
  border-radius: 2px;
  background: rgb(222 219 191 / 85%);
  width: 50%;
}

.g-nav-openbtn span:nth-of-type(1) {
  top: 19px;
}

.g-nav-openbtn span:nth-of-type(2) {
  top: 23px;
}

.g-nav-openbtn span:nth-of-type(3) {
  top: 27px;
}

.g-nav-openbtn.active .openbtn-area {
  transform: rotateY(-360deg);
}

.g-nav-openbtn.active span:nth-of-type(1) {
  top: 17px;
  left: 17px;
  transform: translateY(6px) rotate(-135deg);
  width: 30%;
}

.g-nav-openbtn.active span:nth-of-type(2) {
  opacity: 0;
}

.g-nav-openbtn.active span:nth-of-type(3) {
  top: 29px;
  left: 17px;
  transform: translateY(-6px) rotate(135deg);
  width: 30%;
}

/* Reservation Choice */
#reservation {
  position: relative;
  max-width: 313px;
  top: 495px;
  margin: 0 auto;
  z-index: 10;
  opacity: 0;
  visibility: hidden;
  transition: all 1.2s;
}

#reservation.active {
  opacity: 1;
  visibility: visible;
  transition: all 1.4s;
}

.contents-reservation {
  cursor: pointer;
  opacity: 1;
  transition: all 1.2s;
}

.contents-reservation.active {
  opacity: 0;
  transition: all 1.4s;
}

.reservation-inner {
  max-width: 350px;
  height: 100px;
  margin: 0 auto;
  padding-top: 7px;
  border: 1px solid #fff;
  border-radius: 20px;
  background-color: rgb(251 248 236 / 0.95);
  box-shadow: 0 6px 32px rgb(149 144 4 / 0.3);
}

/* INSIDE Fead Left Right */
.fadeLeft {
  animation-name: fadeLeftAnime;
  animation-duration: 1.2s;
  animation-fill-mode: forwards;
  animation-delay: 1.35s;
  opacity: 0;
}

@keyframes fadeLeftAnime {
  from {
    opacity: 0;
    transform: translateX(-100px);
  }

  to {
    opacity: 1;
    transform: translateX(0);
  }
}

.fadeRight {
  animation-name: fadeRightAnime;
  animation-duration: 1.2s;
  animation-fill-mode: forwards;
  animation-delay: 1.35s;
  opacity: 0;
}

@keyframes fadeRightAnime {
  from {
    opacity: 0;
    transform: translateX(100px);
  }

  to {
    opacity: 1;
    transform: translateX(0);
  }
}

.fadeLeftTrigger,
.fadeRightTrigger {
  opacity: 0;
}

/* Blur Visible */
.blur {
  animation-name: blurAnime;
  animation-duration: 1s;
  animation-fill-mode: forwards;
  animation-delay: 0.2s;
}

@keyframes blurAnime {
  from {
    filter: blur(10px);
    transform: scale(1.02);
    opacity: 0;
  }

  to {
    filter: blur(0);
    transform: scale(1);
    opacity: 1;
  }
}

.blurTrigger {
  opacity: 0;
}

.lineTrigger {
  position: relative;
  opacity: 0;
}

.lineTrigger.lineanime {
  animation-name: lineAnimeBase;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
  animation-delay: 0.4s;
}

@keyframes lineAnimeBase {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

/* Top Bottom Line */
.lineTrigger::before,
.lineTrigger::after {
  position: absolute;
  content: '';
  width: 0;
  height: 1px;
  background: #d8cc45;
}

/* Left Right Line */
.line2::before,
.line2::after {
  position: absolute;
  content: '';
  width: 1px;
  height: 0;
  background: #d8cc45;
}

/* Top */
.lineTrigger::before {
  top: 0;
  left: 0;
}

.lineTrigger.lineanime::before {
  animation: lineAnime .5s linear 0s forwards;
}

/* Right */
.line2::before {
  top: 0;
  right: 0;
}

.lineTrigger.lineanime .line2::before {
  animation: lineAnime2 .5s linear .5s forwards;
}

/* Bottom */
.lineTrigger::after {
  bottom: 0;
  right: 0;
}

.lineTrigger.lineanime::after {
  animation: lineAnime .5s linear 1s forwards;
}

/* Left */
.line2::after {
  bottom: 0;
  left: 0;
}

.lineTrigger.lineanime .line2::after {
  animation: lineAnime2 .5s linear 1.5s forwards;
}

@keyframes lineAnime {
  0% {
    width: 0%;
  }
  100% {
    width: 100%;
  }
}

@keyframes lineAnime2 {
  0% {
    height: 0%;
  }
  100% {
    height: 100%;
  }
}

/* Photo */
.lineTrigger.lineanime .lineinappear {
  animation: lineInnerAnime .5s linear 1.5s forwards;
  opacity: 0;
}

@keyframes lineInnerAnime {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}